## partman-base 70ubuntu3

=== debian/changelog ===
partman-base (70ubuntu3) breezy; urgency=low

  * Backport from trunk:
    - Stop USES_EXTENDED command from segfaulting if called on a device
      without a partition table (e.g. a DVD-RW).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun,  2 Oct 2005 20:38:56 +0100

partman-base (70ubuntu2) breezy; urgency=low

  * ped_disk_get_max_partition_geometry returns NULL if the partition's
    current geometry is invalid in some way. Deal with this in
    GET_RESIZE_RANGE and GET_VIRTUAL_RESIZE_RANGE by just claiming that the
    partition cannot be enlarged (closes: Ubuntu #13250).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2005 15:22:17 +0100

partman-base (70ubuntu1) breezy; urgency=low

  * Resynchronise with Debian to pick up POTFILES.in fix.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Sep 2005 22:56:04 +0100

partman-base (70) unstable; urgency=low

  * All ADS arm boards use msdos partition tables by default.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Aug 2005 09:53:09 -0400

partman-base (69ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2005 15:25:43 +0100

partman-base (69) unstable; urgency=low

  [ Frans Pop ]
  * Apply patch from Max Vozeler adding loop device support
    (closes: #320443).

  [ Colin Watson ]
  * Rename to partman-base, to free up the name 'partman' for use by a .deb
    in the future. Provides: partman for now.
  * Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Aug 2005 15:16:15 +0100

partman (68ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 17:03:24 +0100

partman (68) unstable; urgency=low

  [ Fabio M. Di Nitto ]
  * If using udev, ensure that its queue is flushed before attempting any
    format operations.

  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Tagalog (tl.po) by Eric Pareja
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 17:16:26 +0300

partman (67) unstable; urgency=low

  [ Joey Hess ]
  * Removed no_media check; disk-detect does this check now, and
    lets the user load modules etc if a disk is not found.
  
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Catalan (ca.po) by Guillem Jover
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide
    - Italian (it.po) by Giuseppe Sacco
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrişor

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Jun 2005 10:40:40 -0400

partman (66ubuntu2) breezy; urgency=low

  * Ensure that the udev queue is flushed before attempting any format
    operation.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 08 Jul 2005 10:33:02 +0200

partman (66ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 May 2005 14:11:58 +0100

partman (66) unstable; urgency=low

  * Colin Watson
    - definitions.sh (humandev): Fix SCSI partition output.
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po)
    - Hebrew (he.po) by Lior Kaplan
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 May 2005 12:41:34 +0100

partman (65ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 May 2005 09:56:52 +0100

partman (65) unstable; urgency=low

  * Colin Watson
    - Constify 'name' arguments to many functions.
    - devices[index_of_name(name)] has unspecified results, as
      index_of_name() may change the devices pointer; this caused
      parted_server to crash on OPEN when compiled with gcc 4.0. Insert a
      sequence point to fix this (closes: #308577).
  * Updated translations:
    - German (de.po) by Herbert Straub
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Spanish (es.po) by Enrique Matias Sanchez
    - Portuguese (Brazil) (pt_BR.po) by Carlos Eduardo Pedroza Santiviago
    - Romanian (ro.po) by Ovidiu Damian
    - Russian (ru.po) by Yuri Kozlov
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 May 2005 09:48:56 +0100

partman (64ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Apr 2005 17:50:31 +1000

partman (64) unstable; urgency=low

  * Joey Hess
    - Applied patch from Eugeniy Meshcheryakov to prevent partman from trying
      to create partition tables on disks of type "loop", which is used for
      LVM LVs and MD devices, which cannot be successfully partitioned. 
      Closes: #303914
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernandez-Sanguino Peña
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Apr 2005 15:48:10 -0400

partman (63) unstable; urgency=low

  * Matt Kraai
    - Fix the spelling of "file system".
    - Use the US English spelling of "journaling".
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Feb 2005 22:13:59 -0500

partman (62) unstable; urgency=medium

  * Joshua Kwan
    - Call ped_disk_commit_to_dev after creating filesystem to fix sparc
      breakage. closes: #283303
  * Anton Zinoviev

