=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.6-dev (>= 1.6.12)
Standards-Version: 3.5.6

Package: partman-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, libparted1.6-udeb, partman-partitioning, partman-target, archdetect, harddrive-detection, di-utils-mapdevfs
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)
