## partman-base 78ubuntu4

=== debian/changelog ===
partman-base (78ubuntu4) dapper; urgency=low

  * If PARTMAN_UPDATE_BEFORE_CONFIRM is set, run update.d scripts before
    finishing choose_partition. This allows Ubiquity to feed information
    into /var/lib/partman/devices/ and have it work correctly (see Malone
    #37872).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 May 2006 14:41:47 +0100

partman-base (78ubuntu3) dapper; urgency=low

  * Close all file descriptors other than 0, 1, and 2 on startup, so that we
    don't hold a pipe to debconf open.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Apr 2006 00:03:55 +0100

partman-base (78ubuntu2) dapper; urgency=low

  * Backport from trunk (Anton Zinoviev):
    - Raise the Debconf priority of the messages of libparted -- give the
      errors critical priority (was high), warnings with high (was medium)
      and information with medium (was low).  Thanks to Joey Hess,
      closes: #290929.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Apr 2006 12:07:35 +0100

partman-base (78ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jan 2006 15:44:01 +0000

partman-base (78) unstable; urgency=low

  [ Martin Michlmayr ]
  * Move default_visuals from 59 to 58 so ext2r0_visuals can run after
    this script.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 16 Jan 2006 21:42:12 +0000

partman-base (77) unstable; urgency=low

  [ Colin Watson ]
  * The new update-dev that handles udev has been around for a while, so
    drop old calls to udevstart/udevsynthesize.
  * Use log-output when calling update-dev.

  [ Martin Michlmayr ]
  * Add a definition for mipsel/bcm947xx (msdos).
  * Add a definition for arm/nslu2 and armeb/nslu2 (msdos).

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 14 Jan 2006 23:01:07 +0000

partman-base (76ubuntu2) dapper; urgency=low

  * definitions.sh (humandev): Handle /dev/hd* and /dev/sd*.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  6 Jan 2006 12:05:14 +0000

partman-base (76ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Nov 2005 21:29:13 +0000

partman-base (76) unstable; urgency=low

  * Unhardcode path to update-dev to allow a smoother transition to a
    generic /bin/update-dev that handles udev too.

  [ Updated translations ]
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Nov 2005 21:06:32 +0000

partman-base (75) unstable; urgency=low

  [ Colin Watson ]
  * Clarify partman/confirm to indicate that if you say no you can make
    further changes manually (closes: #329405).
  * Exclude CD/DVD drives from the output of parted_devices.
  * If udevstart is missing, try udevsynthesize instead to try to get udev
    to create pending device nodes.

  [ Sven Luther ]
  * Adapted to chrp_rs6k -> chrp_ibm transition.

  [ Updated translations ]
  * Bulgarian (bg.po) by Ognyan Kulev
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Icelandic (is.po) by David Steinn Geirsson
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Nov 2005 12:23:19 +0000

partman-base (74ubuntu2) dapper; urgency=low

  * Backport from trunk (closes: Ubuntu #19635):
    - Exclude CD/DVD drives from the output of parted_devices.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Nov 2005 20:06:31 +0000

partman-base (74ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Oct 2005 14:45:56 +0100

partman-base (74) unstable; urgency=low

  * ped_disk_get_max_partition_geometry returns NULL if the partition's
    current geometry is invalid in some way. Deal with this in
    GET_RESIZE_RANGE and GET_VIRTUAL_RESIZE_RANGE by just claiming that the
    partition cannot be enlarged (closes: Ubuntu #13250).
  * Remove Standards-Version:, not applicable to udebs.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Oct 2005 14:35:43 +0100

partman-base (73) unstable; urgency=low

  [ Joey Hess ]
  * Removed all the fancy utf-8 symbols that noone understood (the
    tamagotchi, black smiley, white smiley, and lightning bolt).
    Just use the same letter abbrevs used in non-utf mode.
    Closes: #285350

  [ Colin Watson ]
  * Stop USES_EXTENDED command from segfaulting if called on a device
    without a partition table (e.g. a DVD-RW).
  * Use 'rm -f' rather than more awkward test-then-remove constructions.
  * Add stop_parted_server and restart_partman functions to reduce
    duplication elsewhere.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bengali (bn.po) by Baishampayan Ghose
  * German (de.po) by Jens Seidel
  * Korean (ko.po) by Changwoo Ryu
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Nynorsk (nn.po)
  * Romanian (ro.po) by Eddy Petrisor
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Oct 2005 14:29:52 +0100

partman-base (72) unstable; urgency=low

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by Greek Translation Team
  * Galician (gl.po) by Jacobo Tarrio

