## partman-base 90ubuntu9

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.7-dev (>= 1.7.1-1)

Package: partman-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, partman-partitioning, partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.15)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)
