## partman-base 105

=== debian/changelog ===
partman-base (105) unstable; urgency=low

  * Correct mode in mkfifo call. Thanks to Ben Hutchings. Closes: #412769.
  * Fix the way libparted is called when resizing partitions with a file
    system that libparted does not support. Many thanks to Ben Hutchings
    for the patch. Closes: #380226.

 -- Frans Pop <fjp@debian.org>  Wed,  7 Mar 2007 22:47:26 +0100

partman-base (104) unstable; urgency=low

  [ Joey Hess ]
  * Add support for armel.

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 18:17:46 +0100

partman-base (103) unstable; urgency=low

  * On mips the kernel can report a disk as /dev/ide/.../lun0/part. Work
    around this in definitions.sh by recognizing a partition without partition
    number as a disk. See #404950.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Esperanto (eo.po) by Serge Leblanc
  * Latvian (lv.po) by Aigars Mahinovs
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Frans Pop <fjp@debian.org>  Mon, 29 Jan 2007 04:26:41 +0100

partman-base (102) unstable; urgency=low

  [ Fabio M. Di Nitto ]
  * parted_server.c: make sure to clear sigaction structs to fix a runtime
    Illegal Instruction as see on Niagara machines.
    From David S. Miller:
    "You need to clear out the sig_action structure, otherwise
     you leave crap in sa->sa_flags, in particular what can happen
     is that SA_ONSTACK gets set which is what causes the program
     to crash since the default signal stack value is zero."

 -- Frans Pop <fjp@debian.org>  Thu, 11 Jan 2007 15:15:58 +0100

partman-base (101) unstable; urgency=low

  * parted_server.c: move free(s_fstype) after last usage in two functions.
    This may fix #405579. Thanks to Ulrich Teichert for spotting the error.

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Mon,  8 Jan 2007 17:59:08 +0100

partman-base (100) unstable; urgency=low

  * parted_devices: Consider /dev/fd* as floppy devices too.
  * parted_server: Fix segfault if GET_MAX_PRIMARY is called on a disk where
    ped_disk_new failed.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Kurdish (ku.po) by rizoye-xerzi
  * Slovenian (sl.po) by Matej Kovačič
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Dec 2006 17:20:01 +0000

partman-base (99) unstable; urgency=low

  [ Colin Watson ]
  * Add a GET_MAX_PRIMARY command to find out how many primary partitions
    are allowed on a disk; this is useful for some possible autopartitioning
    sanity checks.

  [ Frans Pop ]
  * Run partman-auto init scripts separately to avoid progress bar conflicts.
    partman-auto is mostly interactive and should have the freedom to run
    progress bars.

  [ Colin Watson ]
  * Skip choose_partition if an auto.d script exits with an exit code
    greater than 100 (except for 255, which backs up to the main menu).

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Fri,  8 Dec 2006 01:09:27 +0100

partman-base (98) unstable; urgency=low

  [ Thiemo Seufer ]
  * definitions.sh: Add support for qemu-mips32.

  [ Joey Hess ]
  * parted_devices: Don't list floppy devices.

  [ Martin Michlmayr ]
  * Remove the obsolete definition for nslu2.

  [ Colin Watson ]
  * definitions.sh: Coalesce multiple sed calls for efficiency.
  * definitions.sh: Initialise formatted_previously at the right time.
  * init.d/update_partitions: Restore IFS even if a disk has no partitions.
    Fixes missing substitution into confirmation question.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 15:14:13 +0100

partman-base (97) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * German (de.po) by Jens Seidel
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Romanian (ro.po) by Eddy Petrișor
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 15:51:03 +0200

partman-base (96) unstable; urgency=low

  [ Frans Pop ]
  * definitions.sh: quote variable to avoid syntax error.

  [ Colin Watson ]
  * init.d/parted: Don't process /dev/md*; partman-md will take care of that
    later, and doing it here means that we sometimes end up with duplicate
    /dev/md0 versus /dev/md/0 entries in the partition tree.

  [ Updated translations ]
  * Icelandic (is.po) by David Steinn Geirsson

