## partman-base 105ubuntu3

=== debian/changelog ===
partman-base (105ubuntu3) feisty; urgency=low

  * partman-commit: If PARTMAN_ALREADY_CHECKED is set, don't run check.d
    scripts again (LP: #100009).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Apr 2007 13:44:56 +0100

partman-base (105ubuntu2) feisty; urgency=low

  * definitions.sh (humandev): Handle /dev/md* as well as /dev/md/*.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Mar 2007 13:30:36 +0100

partman-base (105ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Close all file descriptors other than 0, 1, and 2 on startup, so that
      we don't hold a pipe to debconf open.
    - Use GPT label by default on Intel Macs.
    - Add support for /lib/partman/check.d scripts, intended to contain
      sanity checks run before changes are committed. (These checks were
      formerly typically in /lib/partman/finish.d.)
    - Use MS-DOS label by default on PS3 systems.
    - Add an IS_BUSY command to check whether a partition is busy (i.e.
      mounted).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Mar 2007 11:58:22 +0000

partman-base (100ubuntu7) feisty; urgency=low

  * Add an IS_BUSY command to check whether a partition is busy (i.e.
    mounted).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Mar 2007 15:13:25 +0000

partman-base (100ubuntu6) feisty; urgency=low

  * Prevent an infinite loop if (for some reason) check.d fails immediately
    after autopartitioning (LP: #89004).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  2 Mar 2007 13:46:42 +0000

partman-base (100ubuntu5) feisty; urgency=low

  * Use MS-DOS label by default on PS3 systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Feb 2007 19:18:34 +0000

partman-base (100ubuntu4) feisty; urgency=low

  * Add support for /lib/partman/check.d scripts, intended to contain sanity
    checks run before changes are committed. (These checks were formerly
    typically in /lib/partman/finish.d.)
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Feb 2007 18:21:12 +0000

partman-base (100ubuntu3) feisty; urgency=low

  * Use GPT label by default on Intel Macs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Jan 2007 10:53:56 +0000

partman-base (100ubuntu2) feisty; urgency=low

  [Fabio M. Di Nitto]  
  * parted_server.c: make sure to clear sigaction structs to fix a runtime
    Illegal Instruction as see on Niagara machines.
    From David S. Miller:
    "You need to clear out the sig_action structure, otherwise
     you leave crap in sa->sa_flags, in particular what can happen
     is that SA_ONSTACK gets set which is what causes the program
     to crash since the default signal stack value is zero."

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 11 Jan 2007 07:04:03 +0100

partman-base (100ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Close all file descriptors other than 0, 1, and 2 on startup, so that
      we don't hold a pipe to debconf open.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Dec 2006 10:13:25 +0000

partman-base (99ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Close all file descriptors other than 0, 1, and 2 on startup, so that
      we don't hold a pipe to debconf open.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Dec 2006 14:07:07 +0000

partman-base (97ubuntu2) feisty; urgency=low

  * choose_partition/finish/do_option: Remove no-longer-used Ubiquity
    integration; this has moved elsewhere.
  * partman: Back up to the main menu on exit code 255 from auto.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  6 Dec 2006 10:10:39 +0000

partman-base (97ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - definitions.sh: Initialise formatted_previously at the right time.
    - init.d/update_partitions, partman-commit: Restore IFS even if a disk
      has no partitions.
    - Close all file descriptors other than 0, 1, and 2 on startup, so that
      we don't hold a pipe to debconf open.
    - partman: Move autopartitioning scripts to an auto.d directory.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Nov 2006 12:37:24 -0800

partman-base (90ubuntu9) edgy; urgency=low

  * definitions.sh: Initialise formatted_previously at the right time
    (closes: Malone #66895).
  * init.d/update_partitions, partman-commit: Restore IFS even if a disk has
    no partitions. Fixes missing substitution into confirmation question.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2006 12:31:22 +0100

partman-base (90ubuntu8) edgy; urgency=low

  * Backport from trunk:
    - init.d/parted: Don't process /dev/md*; partman-md will take care of
      that later, and doing it here means that we sometimes end up with
      duplicate /dev/md0 versus /dev/md/0 entries in the partition tree.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Oct 2006 12:40:35 +0100

partman-base (90ubuntu7) edgy; urgency=low


