=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 	dh_install visual.d lib/partman
 	dh_install definitions.sh lib/partman
 	dh_install partman bin
+	dh_install partman-commit bin
 	dh_install stralign bin
 	dh_install parted_devices bin
 	dh_install parted_server bin
