## partman-base 114ubuntu6

=== debian/changelog ===
partman-base (114ubuntu6) hardy-proposed; urgency=low

  * Record that CHANGE_FILE_SYSTEM changes the partition table
    (LP: #149832).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Nov 2008 12:40:40 +0000

partman-base (114ubuntu5) hardy; urgency=low

  * Disable swap on all the swap partitions for the device being
    changed, rather than just the ones that will exist after
    partitioning (LP: #218394).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 16 Apr 2008 22:37:00 -0400

partman-base (114ubuntu4) hardy; urgency=low

  * Backport from trunk:
    - Don't emit confusing log messages if partman-lvm or partman-crypto are
      already loaded.
    - Allow disable_swap to take a device argument, in which case it only
      disables swap on that device rather than on all devices.
    - Only disable swap on devices that are being changed (LP: #199048).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2008 00:24:24 +0000

partman-base (114ubuntu3) hardy; urgency=low

  * Backport from trunk:
    - Fix parted_devices check for floppy devices, broken by me in
      partman-base 100 (sorry!).
  * Skip /dev/ccache* devices (LP: #193267).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Mar 2008 15:16:07 +0000

partman-base (114ubuntu2) hardy; urgency=low

  * Backport from trunk (LP: #181296):
    - Support preseeding questions asked through ask_user using the name of
      the plugin responsible for the answer you want (e.g.
      partman-auto/init_automatically_partition=biggest_free).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Feb 2008 12:08:28 +0000

partman-base (114ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Dec 2007 10:51:32 +0000

partman-base (114) unstable; urgency=low

  * Move definitions.sh to ./lib/base.sh. Temporarily provide a symlink to the
    old location to ease the transition.
  * base.sh: add memfree function which returns free memory in kB.
  * Reorganization of partition label related code to partman-partitioning:
    - move function default_disk_label from base.sh to disk-label.sh
    - move init.d/unsupported
    - move partman/*_label templates
    - depend on partman-partitioning (>= 54) so other components can just
      depend on this version of partman-base
    Part of this change was originally suggested by Jérémy Bobbio.
  * Only load components for LVM and crypto support when there is sufficient
    free memory. For crypto this only loads base support components;
    additional crypto components will only be loaded on demand. Support for
    guided (encrypted) LVM partitioning is only loaded if partman-auto was
    already loaded (which it may not be for lowmem installs).

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Tue, 11 Dec 2007 13:45:43 +0100

partman-base (113ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Dec 2007 13:29:43 +0000

partman-base (113) unstable; urgency=low

  [ Frans Pop ]
  * Revert support for erasing encrypted LVM volumes introduced in (106).
    There are too many problems with it and starting fresh seems better
    than stacking change on change to fix it.
  * Don't link against libdl.so.2; according to dpkg-shlibdeps it's not used.

  [ Max Vozeler ]
  * definitions.sh: Provide commit_changes for other partman packages to use
    when they need to commit pending changes to disk.

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Wed, 05 Dec 2007 13:14:53 +0100

partman-base (112) unstable; urgency=low

  * Add support for the Orion (ARM) platform.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 29 Nov 2007 09:19:46 +0100

partman-base (111ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Nov 2007 17:10:39 +0000

partman-base (111) unstable; urgency=low

  * init.d/umount-target: also unmount /dev/.static/dev/ which may have
    /target/dev/ mounted on it by base-installer (>= 1.85).

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Korean (ko.po) by Sunjae Park
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Mon, 19 Nov 2007 11:44:31 +0100

partman-base (110ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Oct 2007 15:38:01 +0100

partman-base (110) unstable; urgency=low

  [ Colin Watson ]
  * Resolve symlinks before looking up devices in /proc/swaps.
  * Minor read_list optimisation using a ${parameter:+word} expansion.
  * Optimise humandev cciss handling a little, fixing a shell syntax error

