## partman-base 121ubuntu8

=== debian/changelog ===
partman-base (121ubuntu8) intrepid; urgency=low

  * init.d/parted: Don't skip over dmraid devices if the user chooses not to
    activate them. (LP: #279288)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 15 Oct 2008 09:36:24 +1100

partman-base (121ubuntu7) intrepid; urgency=low

  [ Colin Watson ]
  * Exit straight away if a called script is killed by a signal.
  * Disable backup while displaying device/partition locked errors; it makes
    no sense and it can cause us to exit without closing the FIFO to
    parted_server (LP: #274219).
  * Record that CHANGE_FILE_SYSTEM changes the partition table
    (LP: #149832).

  [ Evan Dandrea ]
  * Exclude devices that have mounted partitions.  Useful for when installing
    from a disk (LP: #276656).  This can be disabled by preseeding
    partman/filter_mounted to false.

 -- Evan Dandrea <evand@ubuntu.com>  Sun, 12 Oct 2008 02:32:41 -0400

partman-base (121ubuntu6) intrepid; urgency=low

  * Merge some updated dmraid partitioning changes, thanks to Frans Pop
    <fjp@debian.org>.
    - base.sh: new function is_multipath_dev.
    - commit.sh: display correct dmraid partition info when confirming
      changes.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 19 Sep 2008 13:52:35 +1000

partman-base (121ubuntu5) intrepid; urgency=low

  * init.d/parted: Set the sataraid flag for dmraid arrays. This code was
    originally in partman-dmraid, which is being retired.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 27 Aug 2008 21:44:21 +1000

partman-base (121ubuntu4) UNRELEASED; urgency=low

  * Add partman/early_command hook to run arbitrary commands immediately
    before partitioning (LP: #239348).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Jul 2008 17:47:55 +0100

partman-base (121ubuntu3) intrepid; urgency=low

  * Add support for explicit 'b' or 'B' suffixes on partition sizes to force
    interpretation as bytes.
  * Add a small test suite for longint2human and human2longint.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Jul 2008 21:00:12 +0100

partman-base (121ubuntu2) intrepid; urgency=low

  * Don't disable /dev/ramzswap* swap devices (thanks, John McCabe-Dansted;
    LP: #193552).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Jul 2008 12:49:48 +0100

partman-base (121ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Skip /dev/ccache* and /dev/ramzswap* devices.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jun 2008 23:32:32 +0100

partman-base (121) unstable; urgency=low

  [ Frans Pop ]
  * Add divider below "Use as" in ithe partition options dialog. If the
    partition is used for encryption, "Encryption method" will also be
    above the divider. As changing these option changes defaults and what
    other options are available, this provides a useful visual separation.

  [ Otavio Salvador ]
  * Update to GNU Parted 1.8: Change build-depends to libparted1.8-dev

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Slovenian (sl.po) by Matej Kovacic
  * Turkish (tr.po) by Mert Dirik
  
 -- Otavio Salvador <otavio@debian.org>  Sat, 21 Jun 2008 17:02:06 -0300

partman-base (120ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Skip /dev/ccache* and /dev/ramzswap* devices.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 May 2008 10:06:48 +0100

partman-base (120) unstable; urgency=high

  [ Jérémy Bobbio ]
  * Fix partition numbering when confirming changes.  Closes: #481433

  [ Frans Pop ]
  * Urgency high for inclusion in Beta 2 release.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Kurdish (ku.po) by Erdal Ronahi
  * Marathi (mr.po) by Sampada
  * Romanian (ro.po) by Eddy Petrișor
  * Turkish (tr.po) by Mert Dirik

 -- Frans Pop <fjp@debian.org>  Mon, 26 May 2008 12:54:24 +0200

partman-base (119) unstable; urgency=low

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Arief S Fitrianto
  * Marathi (mr.po) by Sampada

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 00:56:43 -0300

partman-base (118) unstable; urgency=low

  [ Frans Pop ]
  * init.d/parted: minor code improvements.
  * Apply patch by Ian Campbell and Ferenc Wagner to improve display of Xen
    virtual disks in partman. With thanks to both. Closes: #474556.
  * In lowmem mode it is possible that newly loaded support for a file system
    is not "seen" because depmod has not been run after loading the kernel
    udeb. Therefore, run depmod when partman is started.
    Also fixes missing file system support (including ext2/3) for s390.

  [ Evan Dandrea ]
  * Disable swap on all the swap partitions for the device being changed,
    rather than just the ones that will exist after partitioning
    (LP: #218394).

  [ Colin Watson ]
  * Fix error message in NEW_PARTITION (partition type, not label type).

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hungarian (hu.po) by SZERVÁC Attila

