=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.7-dev (>= 1.7.1-1)
+Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.8-dev
 XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-base
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-base/ubuntu
