=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,17 @@
 
 ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-PACKAGE=partman-base
+export PACKAGE=partman-base
 
 PROVIDES=made-filesystems, mounted-partitions, partitioned-harddrives, created-fstab
 
-MENUITEMNUM=42
+MENUITEMNUM=4200
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE)
+	cd test && ./conversions
 	touch build-stamp
 
 clean:
@@ -31,6 +32,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	# Install hooks into partman-base udeb
 	debian/install-rc choose_partition
 	debian/install-rc storage_device
 	debian/install-rc active_partition
@@ -41,18 +43,12 @@
 	debian/install-rc finish.d
 	debian/install-rc update.d
 	debian/install-rc valid_visuals.d
-	dh_install visual.d lib/partman
-	dh_install definitions.sh lib/partman
-	dh_install partman bin
-	dh_install partman-commit bin
-	dh_install stralign bin
-	dh_install parted_devices bin
-	dh_install parted_server bin
-	rm -rf `find debian/$(PACKAGE) -name .svn`
+	debian/install-rc display.d
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_install
 	dh_installdebconf
 	cp debian/isinstallable debian/${PACKAGE}/DEBIAN/
 	dh_strip
